﻿Public Class Demo2

    Dim MyContext As NorthwindDataContext

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click


        'Die Objekte bieten sofort ein Bindable Resultset

        'Die Statements, die im hintergrund erzeugt werden, können automatisch
        'umgeleitet und damit angezeigt werden
        'Über den SQL Visualizer (http://michaelholmandersen.dk/post/LINQ-to-SQL-visualizer-plug-in.aspx)
        'können die Abfragen und Ergebnisse auch eingesehen werden
        MyContext.Log = Console.Out


        DataGridView1.DataSource = MyContext.Customers

    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click


        MyContext.Log = Console.Out
        MyContext.SubmitChanges()

    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click

        DataGridView1.DataSource = From o In MyContext.Orders _
                                   Select New With {.Bestellnummer = o.OrderID, _
                                                    .AnzahlBestellungen = o.Order_Details.Count()}

        DataGridView1.DataSource = From o In MyContext.Order_Details

    End Sub

    Private Sub Demo2_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        MyContext = New NorthwindDataContext()

    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click

        Dim Order = (From o In MyContext.Orders _
                     Where o.OrderID = TextBox1.Text).Single()

        If (From od In Order.Order_Details _
             Where od.ProductID = TextBox2.Text).Count() = 0 Then

            Dim od As New Order_Detail()

            od.OrderID = TextBox1.Text
            od.ProductID = TextBox2.Text
            od.Quantity = TextBox3.Text
            od.UnitPrice = TextBox4.Text
            od.Discount = TextBox5.Text

            Order.Order_Details.Add(od)

            MyContext.SubmitChanges()

        Else

            MessageBox.Show(String.Format("ProduktNummer {0} existiert bereits für Bestellnummer {1}", TextBox2.Text, TextBox1.Text))

        End If

       


    End Sub

    Private Sub Button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button5.Click

        If TextBox1.Text <> String.Empty Then

            DataGridView1.DataSource = From o In MyContext.Orders _
                                       Where o.OrderID = TextBox1.Text _
                                      Select New With {.Bestellnummer = o.OrderID, _
                                                       .AnzahlBestellungen = o.Order_Details.Count()}

        End If




    End Sub
End Class