﻿Public Class Demo6

    Dim MyContext As NorthwindDataContext

    Private Sub Demo6_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        MyContext = New NorthwindDataContext()

        MyContext.Log = Console.Out

        ComboBox1.DataSource = From Company In MyContext.Customers _
                               Select Company.CompanyName, Company.CustomerID

        ComboBox1.DisplayMember = "CompanyName"
        ComboBox1.ValueMember = "CustomerId"

    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click

        'Einfache Abfrage
        'Dim query = From Order In MyContext.uspGetOrdersForCustomer(CStr(ComboBox1.SelectedValue))

        'Oder Verwendsung des Resultsets und Verknüpfung mit Inhalten aus dem Context mit den Relationen
        Dim query2 = From Order In MyContext.uspGetOrdersForCustomer(CStr(ComboBox1.SelectedValue)) _
                    Group Join od In MyContext.Order_Details On od.OrderID Equals Order.OrderID _
                    Into OrderDetails = Group _
                    Where OrderDetails.Count() > 5 _
                    Select Order.OrderID, Anzahlbestellungen = OrderDetails.Count()

        DataGridView1.DataSource = query2

    End Sub
End Class